Download it now!
Bug 120786 - KDE5: Only half of the toolbar is displayed if it's undocked
Summary: KDE5: Only half of the toolbar is displayed if it's undocked
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: high major
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-22 12:10 UTC by Xisco Faulí
Modified: 2019-03-12 20:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (15.64 KB, image/png)
2018-10-22 12:10 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 12:10:23 UTC
Created attachment 145901 [details]
screenshot

Steps to reproduce:
1. Open writer
2. Undock any of the toolbars ( e.g. Standard )

-> Half of it is grey. See attached image

reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Michael Weghorn 2018-10-22 17:49:56 UTC
Reproduced with

Version: 6.2.0.0.alpha1+
Build ID: cd9aa5bc508244082b4baf4a3094875bf2c6f992
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded

Triggering a repaint by hovering with the mouse over the places where the icons are supposed to be brings them back.
Comment 2 Xisco Faulí 2018-12-21 12:29:38 UTC
Still reproducible in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

increasing severity...
Comment 3 Commit Notification 2019-02-13 09:33:50 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ad6d9bce1126997750d3c3c2606d28164d63d1d8%5E%21

tdf#120786: show undocked toolbar only when it's ready

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Weghorn 2019-02-13 16:47:49 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: 49c21e31ce0501044a7d3602379f74c71dabb00b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

(+ a local revert of a2b687a88feedfae0087bfc999b3cf49b9d3d24b to avoid bug 123439)
Comment 5 Commit Notification 2019-03-12 20:46:45 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/cda7159937be6f88eeb5826dcbdc72d64788779c%5E%21

tdf#120786: show undocked toolbar only when it's ready

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.